<!DOCTYPE html>
<html lang="en">
  <head>
    <meta name="generator" content="GitLab Pages">
    <title>TP4 Veille Techno</title>
    <link rel="stylesheet" href="style.css">
    <script src="https://cdn.tailwindcss.com"></script>
  </head>

  <body class="bg-gradient-to-br from-gray-900 to-gray-600 bg-gradient-to-r">

    <header class="p-20 text-white flex justify-between items-baseline">
      <h1 class="text-5xl font-bold">TP4 Veille Techno</h1>
      <div>
        <a class="cool-link" href="index.html">
          Accueil
        </a>
        <a class="cool-link" href="materiel.html">Matériel</a>
        <a class="cool-link" href="experimentation.html">Expérimentations</a>
        <a class="cool-link" href="montage.html">Montage</a>
        <a class="cool-link" href="logiciel.html">Logiciel</a>
      </div>
    </header>

    <main class="px-20 flex flex-col justify-center items-center">
      <h2 class="text-center text-3xl font-bold text-white">
        Matériel
      </h2>

      <section id="analyse" class="bg-slate-200 w-3/4 rounded-xl p-10 my-20">
        
        <div class="text-gray-900 text-justify">
          <h3 class="text-center font-bold text-gray-900 text-2xl">
            Description des technologies et justification de leur choix
          </h3>
          <br>
          <h4 class="text-center text-xl font-bold text-gray-900">
            Arduino uno rev3
          </h4>
          <img class="mx-auto my-2 w-1/3 h-1/4" src="img/arduino-uno-rev3.jpg" alt="Montre">
          <p>
            L'Arduino Uno Rev3 est une carte de développement électronique du fabricant Arduino, modèle Uno R3. Elle est largement utilisée pour la création de projets électroniques et la programmation embarquée. Dotée d'un microcontrôleur ATmega328P, elle offre 14 broches d'entrée/sortie numériques, 6 broches analogiques, une connectivité USB, et fonctionne à 16 MHz. Son environnement de développement Arduino en fait un choix prisé pour les projets électroniques et les prototypes.
          </p>
          <br>
          <p>Arduino est un choix judicieux pour un projet comme le notre en raison de sa simplicité, de sa polyvalence, de sa connectivité USB et de sa vaste communauté de soutien, ce qui en fait une solution pratique pour les projets de suivi de la santé.</p>
          <br>
          <br>

          <h4 class="text-center text-lg font-bold text-gray-900">
            Capteur de battements cardiaques (DREFOBOT SEN0203)
          </h4>
          <img class="mx-auto my-2 w-1/3 h-1/4" src="img/IMG_3076.jpg" alt="Montre">
          <br>
          <p>Le capteur de battements cardiaques DREFOBOT SEN0203 est un composant électronique conçu pour mesurer la fréquence cardiaque d'une personne. Il est fabriqué par DREFOBOT et porte le modèle SEN0203. Ce capteur est largement utilisé dans divers projets, notamment la surveillance de la santé, le fitness et le suivi de la fréquence cardiaque. Son choix est justifié pour plusieurs raisons..</p>
          <br>
          <p>Le capteur de battements cardiaques DREFOBOT SEN0203 est un choix judicieux pour la mesure de la fréquence cardiaque en raison de sa facilité d'utilisation, de sa compatibilité avec Arduino, de sa polyvalence, de sa disponibilité et de son coût abordable, ce qui en fait une option pratique pour les projets de suivi de la santé et de la fréquence cardiaque.</p>
          <br>

          <h4 class="text-center text-lg font-bold text-gray-900">
            Broche Pogo
          </h4>
          <img class="mx-auto my-2 " src="img/téléchargement.jpg" alt="Montre">
          <br>
          <p>Les connecteurs Pogo Pins sont des composants électroniques conçus pour établir des connexions électriques temporaires entre des composants électroniques. Ils sont largement utilisés dans l'industrie électronique pour diverses applications telles que la programmation, le débogage, le test de qualité et la connexion de périphériques temporaires. Ces connecteurs se composent d'une petite tige métallique montée dans un boîtier isolant, avec une pointe aiguë qui assure une connexion stable avec un point de contact correspondant sur un autre composant. Le ressort interne des Pogo Pins maintient une pression constante pour garantir une connexion électrique fiable. Leur polyvalence et leur facilité d'utilisation en font des éléments essentiels dans le domaine de l'électronique pour établir des connexions temporaires de manière efficace et précise.</p>
          <br>
          <p>L’utilisation d’une broche Pogo pour transférer les données de la montre vers l’ordinateur est une option fiable et couramment utilisée. Elle assure une connexion stable et fiable, réduit les risques d'interférences et d'erreurs de transmission, tout en offrant durabilité, facilité d'utilisation et une apparence soignée.</p>
          <br>

          <h4 class="text-center text-lg font-bold text-gray-900">
            Logiciel de transfert de données 
          </h4>
          <img class="mx-auto my-2 w-1/4 h-1/4" src="img/Visual_Studio_Icon_2022.svg.png" alt="Montre">
          <br>
          <p>Visual Studio est un environnement de développement intégré (IDE) créé par Microsoft. Il propose différentes éditions pour le développement d'applications de bureau, web, mobiles, cloud, et IoT. Il prend en charge divers langages de programmation, offre des outils de débogage, de contrôle de version et d'analyse du code, visant à simplifier le développement logiciel tout en améliorant la productivité des développeurs.</p>
          <br>
          <p>l'utilisation de Visual Studio pour le transfert de données depuis Arduino est justifiée en raison de son intégration avec Arduino, de sa flexibilité, de sa prise en charge des communications série, de sa possibilité de développement d'applications robustes et de son statut d'environnement de développement professionnel.</p>
          <br>

          <h4 class="text-center text-lg font-bold text-gray-900">
            Base de données 
          </h4>
          <img class="mx-auto my-2 w-1/4 h-1/4" src="img/63fdb49c9e251b0e6a7bcac7_Logo-Supabase.webp" alt="Montre">
          <br>
          <p>Supabase est une plateforme open source offrant des services de base de données et d'authentification pour le développement d'applications web et mobiles. Elle repose sur PostgreSQL, propose des fonctionnalités d'authentification, permet le stockage de données, et fournit une API RESTful pour interagir avec la base de données. C'est un outil puissant et flexible pour simplifier le développement d'applications tout en étant open source, ce qui le rend accessible et adaptable aux besoins des développeurs.</p>
          <br>
          <p>Supabase est un choix judicieux pour notre projet c'est une solution rapide et fiable pour la gestion des données et de l'authentification, tout en bénéficiant de la flexibilité de l'open source. Cela nous permet de nous concentrer davantage sur le développement de fonctionnalités spécifiques à votre application plutôt que sur la gestion de l'infrastructure sous-jacente.</p>
          <br>

          <h4 class="text-center text-lg font-bold text-gray-900">
            Site web 
          </h4>
          <img class="mx-auto my-2 w-2/4 h-1/4" src="img/html.jpg" alt="Montre">
          <br>
          <p>La création d'un site web pour notre projet offre une plateforme essentielle de présentation, de communication, et de visibilité. Il permet de partager des informations, d'interagir avec les utilisateurs, de collecter des données et de renforcer la confiance des parties prenantes. C'est un outil polyvalent qui peut être adapté en fonction des besoins spécifiques de notre initiative, renforçant ainsi son impact et son succès.</p>
          <br>
        </div>
      </section>

    </main>

    <footer class="mx-20 p-10 text-white font-bold border-t-2 flex justify-between">
      <div class="w-1/2">
        Réalisé par Frédéric Rousseau, Nathan Ouellet, Nicolas Bazin, Thomas Bolduc et Xavier Gosselin
      </div>
      <div>
        Dans le cadre de Techniques de l’informatique - Cégep Garneau
      </div> 
    </footer>

  </body>
</html>
